com.sun.java.xml.ns.javaee

## Class LocaleEncodingMappingType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.LocaleEncodingMappingType

-     public class LocaleEncodingMappingType
      extends Object

  The locale-encoding-mapping contains locale name and encoding name. The locale name must be either "Language-code", such as "ja", defined by ISO-639 or "Language-code_Country-code", such as "ja_JP". "Country code" is defined by ISO-3166.

  Java-Klasse für locale-encoding-mappingType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="locale-encoding-mappingType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="locale" type="{http://java.sun.com/xml/ns/javaee}localeType"/>
               <element name="encoding" type="{http://java.sun.com/xml/ns/javaee}encodingType"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `encoding`
    `protected String` | `id`
    `protected String` | `locale`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocaleEncodingMappingType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEncoding()` Ruft den Wert der encoding-Eigenschaft ab.
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `String` | `getLocale()` Ruft den Wert der locale-Eigenschaft ab.
    `void` | `setEncoding(String value)` Legt den Wert der encoding-Eigenschaft fest.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.
    `void` | `setLocale(String value)` Legt den Wert der locale-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### locale

          protected String locale

    - #### encoding

          protected String encoding

    - #### id

          protected String id

  - ### Constructor Detail

    - #### LocaleEncodingMappingType

          public LocaleEncodingMappingType()

  - ### Method Detail

    - #### getLocale

          public String getLocale()

      Ruft den Wert der locale-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setLocale

          public void setLocale(String value)

      Legt den Wert der locale-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getEncoding

          public String getEncoding()

      Ruft den Wert der encoding-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setEncoding

          public void setEncoding(String value)

      Legt den Wert der encoding-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.